Ruby: file_in_zip64_read_info_s Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
file_in_zip64_read_info_s Struct Reference

## Data Fields
char * | read_buffer
z_stream | stream
ZPOS64_T | pos_in_zipfile
uLong | stream_initialised
ZPOS64_T | offset_local_extrafield
uInt | size_local_extrafield
ZPOS64_T | pos_local_extrafield
ZPOS64_T | total_out_64
uLong | crc32
uLong | crc32_wait
ZPOS64_T | rest_read_compressed
ZPOS64_T | rest_read_uncompressed
zlib_filefunc64_32_def | z_filefunc
voidpf | filestream
uLong | compression_method
ZPOS64_T | byte_before_the_zipfile
int | raw

## Detailed Description

Definition at line 134 of file unzip.c.

## Field Documentation

## ◆ byte_before_the_zipfile

ZPOS64_T file_in_zip64_read_info_s::byte_before_the_zipfile

Definition at line 158 of file unzip.c.

Referenced by unzGetCurrentFileZStreamPos64(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ compression_method

uLong file_in_zip64_read_info_s::compression_method

Definition at line 157 of file unzip.c.

Referenced by unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ crc32

uLong file_in_zip64_read_info_s::crc32

Definition at line 151 of file unzip.c.

Referenced by unzCloseCurrentFile(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ crc32_wait

uLong file_in_zip64_read_info_s::crc32_wait

Definition at line 152 of file unzip.c.

Referenced by unzCloseCurrentFile(), and unzOpenCurrentFile3().

## ◆ filestream

voidpf file_in_zip64_read_info_s::filestream

Definition at line 156 of file unzip.c.

Referenced by unzGetLocalExtrafield(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ offset_local_extrafield

ZPOS64_T file_in_zip64_read_info_s::offset_local_extrafield

Definition at line 146 of file unzip.c.

Referenced by unzGetLocalExtrafield(), and unzOpenCurrentFile3().

## ◆ pos_in_zipfile

ZPOS64_T file_in_zip64_read_info_s::pos_in_zipfile

Definition at line 143 of file unzip.c.

Referenced by unzGetCurrentFileZStreamPos64(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ pos_local_extrafield

ZPOS64_T file_in_zip64_read_info_s::pos_local_extrafield

Definition at line 148 of file unzip.c.

Referenced by unzGetLocalExtrafield(), and unzOpenCurrentFile3().

## ◆ raw

int file_in_zip64_read_info_s::raw

Definition at line 159 of file unzip.c.

Referenced by unzCloseCurrentFile(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ read_buffer

char* file_in_zip64_read_info_s::read_buffer

Definition at line 136 of file unzip.c.

Referenced by unzCloseCurrentFile(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ rest_read_compressed

ZPOS64_T file_in_zip64_read_info_s::rest_read_compressed

Definition at line 153 of file unzip.c.

Referenced by unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ rest_read_uncompressed

ZPOS64_T file_in_zip64_read_info_s::rest_read_uncompressed

Definition at line 154 of file unzip.c.

Referenced by unzCloseCurrentFile(), unzeof(), unzOpenCurrentFile3(), and unzReadCurrentFile().

## ◆ size_local_extrafield

uInt file_in_zip64_read_info_s::size_local_extrafield

Definition at line 147 of file unzip.c.

Referenced by unzGetLocalExtrafield(), and unzOpenCurrentFile3().

## ◆ stream

z_stream file_in_zip64_read_info_s::stream

Definition at line 137 of file unzip.c.

Referenced by unzCloseCurrentFile(), unzOpenCurrentFile3(), unzReadCurrentFile(), and unztell().

## ◆ stream_initialised

uLong file_in_zip64_read_info_s::stream_initialised

Definition at line 144 of file unzip.c.

Referenced by unzCloseCurrentFile(), and unzOpenCurrentFile3().

## ◆ total_out_64

ZPOS64_T file_in_zip64_read_info_s::total_out_64

Definition at line 149 of file unzip.c.

Referenced by unzOpenCurrentFile3(), unzReadCurrentFile(), and unztell64().

## ◆ z_filefunc

zlib_filefunc64_32_def file_in_zip64_read_info_s::z_filefunc

Definition at line 155 of file unzip.c.

Referenced by unzGetLocalExtrafield(), unzOpenCurrentFile3(), and unzReadCurrentFile().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/unzip.c